- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_SequenceTask;'
    index: 2997
    name: Sequence Task
    customTagName: sequenceTask
    superclasses:
    - '&IDC_Task;'
    attributes:
    - instance: '&IDA_Name;' #!FIXME: inherit from class 'inherits' attribute
      customTagName: 'name'
    - instance: '&IDA_Schedulable'
      customTagName: schedulable
    - instance: '&IDA_LongRunning;'
      customTagName: longRunning
    - instance: '&IDA_SuppressRIHints;'
      customTagName: suppressRIHints
    - instance: '&IDA_ShowSpreadsheetButtonOnSelection;'
      customTagName: showSpreadsheetButtonOnSelection

    relationships:
    - instance: '&IDR_Task__has_initiating__Element;'
      customTagName: initiatingElement
    - instance: '&IDR_Task__has__Task_Category;'
      customTagName: taskCategory
    
  - sequenceTask: '&IDI_Task_ViewElementContent;'
    name: 'View Element Content'
    schedulable: no
    longRunning: no
    suppressRIHints: no
    stepName: View Element Content
    showSpreadsheetButtonOnSelection: no
    taskCategory: '&IDI_TaskCategory_Element;'
    initiatingElement: '{e68bb6c4-29eb-4c77-908a-1b3793c952bc}'
    
  - sequenceTask: '&IDI_Task_ViewElement;'
    name: 'View Element'
    schedulable: no
    longRunning: no
    suppressRIHints: no
    stepName: View Element
    showSpreadsheetButtonOnSelection: no
    taskCategory: '&IDI_TaskCategory_Element;'
    initiatingElement: '&IDE_ElementStart;'

  - element: '&IDE_ElementStart;'
    name: 'Element Start'
    elementContents:
    - elementContent: '{2b534e53-b0ef-429d-b9a4-4eba9e36a455}'
      defaultDataType: '&IDC_Element;'
      order: a
    - elementContent: '{3dd3c7f6-9da6-48bc-8fe5-a6d03dcd1d9e}'
      defaultDataType: '&IDA_Name;'